Bug 443741 - Review Request: jna-posix - POSIX APIs for Java
Review Request: jna-posix - POSIX APIs for Java
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 417511
  Show dependency treegraph
 
Reported: 2008-04-22 23:54 EDT by Conrad Meyer
Modified: 2008-06-12 16:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 16:27:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
walters: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-04-22 23:54:29 EDT
URLs:
Spec: http://konradm.fedorapeople.org/fedora/SPECS/jna-posix.spec
SRPM: http://konradm.fedorapeople.org/fedora/SRPMS/jna-posix-0.5-1.fc8.src.rpm
Description:
Common cross-project/cross-platform POSIX APIs for Java.

Note: this is a dependency of JRuby 1.1.1.
I've built it in Koji (no missing BR's) at http://koji.fedoraproject.org/koji/taskinfo?taskID=577179 .
Comment 1 Colin Walters 2008-04-23 13:54:30 EDT
* Spec looks fine
 - I'd change the rm lib/jna.jar to: rm lib/*.jar to be safe
x rpmlint says: jna-posix.noarch: W: no-documentation, need %doc README.txt
? Why do we have a custom build.xml instead of using mvn-jpp?


Comment 2 Conrad Meyer 2008-04-23 14:21:33 EDT
(In reply to comment #1)
> * Spec looks fine
>  - I'd change the rm lib/jna.jar to: rm lib/*.jar to be safe
Sure.
> x rpmlint says: jna-posix.noarch: W: no-documentation, need %doc README.txt
Oops :).
> ? Why do we have a custom build.xml instead of using mvn-jpp?
From the looks of the pom.xml it required wagon-WebDAV, which isn't a part of 
Fedora's maven-wagon package. I've opened a bug for that a while ago (rhbz# 
442641). I'm also lazy and this custom build.xml works fine.
Comment 3 Conrad Meyer 2008-04-24 00:12:52 EDT
New URLs:
Spec: http://konradm.fedorapeople.org/fedora/SPECS/jna-posix.spec
SRPM: http://konradm.fedorapeople.org/fedora/SRPMS/jna-posix-0.5-2.fc8.src.rpm

Added README.txt and LICENSE.txt to %doc, rm lib/*.jar in %prep, and keep 
custom build.xml for now.
Comment 4 Colin Walters 2008-04-24 09:38:54 EDT
Hmm, ok.  Can you add a comment linking to #442641 above your Source: build.xml
then?

Otherwise looks good, approved.
Comment 5 Conrad Meyer 2008-04-24 10:10:29 EDT
Will do. Can you set fedora_cvs to '+' before I ask for CVS? Thanks!
Comment 6 Conrad Meyer 2008-04-24 14:01:56 EDT
Sorry, I meant fedora_review -- thanks for understanding.

New Package CVS Request
=======================
Package Name: jna-posix
Short Description: POSIX APIs for Java
Owners: konradm,walters
Branches: F-8 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 7 Jason Tibbitts 2008-04-24 15:22:31 EDT
CVS done.  (I created an F-9 branch as well.)
Comment 8 Conrad Meyer 2008-06-12 16:27:00 EDT
Has this not been closed yet? I think it's been pushed to updates. Closing.

Note You need to log in before you can comment on or make changes to this bug.